# Membres
Date: 2013-12-08

modele

## Class Membres

- java.lang.Object
- - modele.Membres

    public class Membres
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Membres()`

### Method Summary

Methods
`java.sql.ResultSet` `getInfo(int pIdMembre)` idMembres les infos du membre ou si -1 alors retourne les infos de tout les membres
`void` `setInfo(java.lang.String pNom, java.lang.String pPrenom, java.lang.String pDtn, java.lang.String pNumTel, java.lang.String pAdresse, int pDroit, java.lang.String pDateAdhesion, java.lang.String pPassword)` Insere dans la base un nouveau membres
`void` `supprimer(int pIdMembre)` Permet de supprimer un membre a partir de don id

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Membres

    public Membres()

### Method Detail

#### setInfo

    public void setInfo(java.lang.String pNom,
               java.lang.String pPrenom,
               java.lang.String pDtn,
               java.lang.String pNumTel,
               java.lang.String pAdresse,
               int pDroit,
               java.lang.String pDateAdhesion,
               java.lang.String pPassword)
                 throws java.lang.InstantiationException,
                        java.lang.IllegalAccessException,
                        java.lang.ClassNotFoundException,
                        java.sql.SQLException

Insere dans la base un nouveau membres

Parameters:
  `pNom` -
  `pPrenom` -
  `pDtn` -
  `pNumTel` -
  `pAdresse` -
  `pDroit` -
  `pDateAdhesion` -
  `pPassword` -
Throws:
  `java.lang.InstantiationException`
  `java.lang.IllegalAccessException`
  `java.lang.ClassNotFoundException`
  `java.sql.SQLException`

#### getInfo

    public java.sql.ResultSet getInfo(int pIdMembre)
                               throws java.lang.InstantiationException,
                                      java.lang.IllegalAccessException,
                                      java.lang.ClassNotFoundException,
                                      java.sql.SQLException

idMembres les infos du membre ou si -1 alors retourne les infos de tout les membres

Parameters:
  `pIdMembres` -
Returns:
  un resultSet contenant le ou les infos membres
Throws:
  `java.lang.InstantiationException`
  `java.lang.IllegalAccessException`
  `java.lang.ClassNotFoundException`
  `java.sql.SQLException`

#### supprimer

    public void supprimer(int pIdMembre)
                   throws java.lang.InstantiationException,
                          java.lang.IllegalAccessException,
                          java.lang.ClassNotFoundException,
                          java.sql.SQLException

Permet de supprimer un membre a partir de don id

Parameters:
  `pIdMembre` -
Throws:
  `java.lang.InstantiationException`
  `java.lang.IllegalAccessException`
  `java.lang.ClassNotFoundException`
  `java.sql.SQLException`